<?php
require_once "../config/helper.php";

function AddApplication()
{
    $ombukey = trim(file_get_contents("/etc/ombutel/ombutel-maint.conf"));
    echo "Clef ombutel : $ombukey" . PHP_EOL;
    if ($ombukey !== "")
    {
        $data = array("key" => $ombukey);
        $retour = curl_post("http://localhost/api/authenticate", $data);
        if ($retour !== FALSE)
        {
            $obj = json_decode($retour);
            if ($obj->status === "success")
            {
                echo "Enregistrement clef application " . APPKEY . " avec token " . $obj->data->token . PHP_EOL;
                $data = array("token" => $obj->data->token, "key" => APPKEY, "name" => "PhonebookManager 2");
                $retour = curl_post("http://localhost/api/register_application", $data);
                if ($obj !== FALSE)
                {
                    $obj = json_decode($retour);
                    echo "Enregistrement PhonebookManager 2 réussi" . PHP_EOL;
                }
                else
                {
                    echo "Echec enregistrement PhonebookManager 2" . PHP_EOL;
                }
            }
            else
            {
                echo "Echec authentification clef" . PHP_EOL;
            }
        }
        else
        {
            echo "Echec generation token" . PHP_EOL;
        }
    }
}


function GetToken()
{
    $data = array("key" => APPKEY);
    $retour = curl_post("http://localhost/api/authenticate", $data);
    if ($retour !== FALSE)
    {
        $obj = json_decode($retour);
        if ($obj->status === "success")
        {
            return $obj->data->token;
        }
    }
    return FALSE;
}

function GetExtensions($token)
{
    $data = array("token" => $token);
    $retour = curl_post("http://localhost/api/extensions", $data);
    if ($retour !== FALSE)
    {
        $obj = json_decode($retour);
        if ($obj->status === "success")
        {
            return $obj->data;
        }
    }
    return FALSE;
}


function GetContacts($token)
{
    $data = array("token" => $token);
    $retour = curl_post("http://localhost/api/contacts", $data);
    if ($retour !== FALSE)
    {
        $obj = json_decode($retour);
        if ($obj->status === "success")
        {
            return $obj->data;
        }
    }
    return FALSE;
}